import {Component, OnInit, ViewChild} from '@angular/core';
import {WorkService} from '../../work.service';
import {ActivatedRoute, Router} from '@angular/router';
import {CommonService} from '../../../shared/common/common.service';
import {NzMessageService} from 'ng-zorro-antd';
import {AssetsComponent} from '../../modal/assets/assets.component';
import {UploadComponent} from '../../modal/upload/upload.component';

@Component({
    selector: 'smart-child-assets',
    templateUrl: './child-assets.component.html',
    styles: []
})
export class ChildAssetsComponent implements OnInit {
    @ViewChild('smartAssets') smartAssets:AssetsComponent;
    @ViewChild('smartUpload') smartUpload:UploadComponent;

    childId;
    childrenList;

    constructor(private workSer: WorkService, private routerInfo: ActivatedRoute,private router:Router,
                private conmonSer:CommonService,private message:NzMessageService) {
        this.routerInfo.queryParams.subscribe(
            (res) => {
                this.childId = res.id;
            }
        );
    }

    ngOnInit() {
        this.getList();
    }

    getList() {
        this.workSer.findInventory(this.childId).subscribe(
            (res) => {
                this.childrenList = res.data;
            }
        );
    }

    //删除资产
    deleteInVentory(item){
        const data = {
            inventoryIds:[]
        };
        data.inventoryIds.push(item.id);
        this.conmonSer.confirmThing("删除","确定删除该资产？",()=>{
            this.workSer.deleteInventory(data).subscribe(
                (res)=>{
                    if(res.errCode == 10000){
                        this.getList();
                        this.message.success("删除资产成功");
                    }else{
                        this.message.error(res.errMsg);
                    }
                }
            )
        })
    }

    //添加资产
    showAddModal() {
       this.smartAssets.showAddModal("添加资产");
    }

    //编辑资产
    showEditModal(id){
        this.smartAssets.showEditModal("编辑资产");
    }

    //查看详情
    goToDetail(data){
        this.router.navigate(['app/main/assetsDetail'],{
            queryParams:{
                invertoryId:data.id
            }
        })
    }

    //导入资产
    showUploadModal(){
        this.smartUpload.showModal("上传资产文件");
    }

}
